/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */


/* SIDE MENU */

.ct-panel-content-inner {
  display: block;
}

/* IKONCA LUPA SEARCH */

.ct-search-form[data-form-controls="inside"]:not([data-taxonomy-filter="true"]) [data-button*="icon"] {
  background-color: #A67C00;
}



/* BENER */

.kb-splide[data-slider-dots="true"] {
  margin-bottom: 0 !important;
}

.kb-splide .splide__pagination, .kb-splide ul.splide__pagination.splide__pagination {
    bottom: 30px !important;
	right: auto !important;
	left: 30px;
}

/* BENER NAVIGACIJA */

.kb-advanced-slider-85_172173-fa .splide__pagination__page {
  border-width: 0;
  border-style: solid;
  width: 70px;
  border-radius:5px;
}

/* UVODNA STRAN INFO BOXI POD BENERJEM */

.info {
	width: 350px;
}




/* slajder prva stran */

.slick-initialized .slick-slide {
  margin: 0 10px;
}


.slick-track {
    display: flex !important;
}

.slick-slide {
    height: auto !important;
    display: flex !important;
}




/* slike loop */

/* === Popravek Blocksy slik: slika naj bo vedno cela v kvadratu === */

/* Glavna WooCommerce mreža + Paše skupaj slike */
.woocommerce ul.products li.product img,
.pase-grid .pase-item img {
  width: 100%;
  height: auto !important;
  max-width: 100%;
  display: block;
  background-color: #fff;
  border: 0px solid #eee;
  border-radius: 10px;
  padding: 15px;
  box-sizing: border-box;
  object-fit: contain !important;
  aspect-ratio: 1 / 1 !important;
}








.woocommerce ul.products li.product img, .pase-grid .pase-item img {
  width: 100%;
  height: auto !important;
  max-width: 100%;
  display: block;
  background-color: #fff;
  border: 0px solid #eee;
  border-radius: 10px;
  padding: 15px;
  box-sizing: border-box;
  object-fit: contain !important;
  aspect-ratio: 1 / 1 !important;
}

.woocommerce-info, .woocommerce-thankyou-order-received, .wc-block-components-notice-banner.is-info {
    --background-color: #FAFAFA !important;
}




/* poskrbimo, da wrapper za slike ima relative */
.woocommerce ul.products li.product,
.woocommerce div.product div.images {
    position: relative;
}


/*** slick carousel izdelki ***/

.prev_arrow {
	position: absolute;
	width: 40px;
	height: 40px;
	top:250px;
	left:-20px;
	cursor: pointer;
	z-index:9;
	text-align: center;
	display: inline-block;
}

.next_arrow {
	position: absolute;
	width: 40px;
	height: 40px;
	top:250px;
	right:-20px;
	cursor: pointer;
	z-index:9;
	text-align: center;
	display: inline-block;
}



.prev_arrow, .next_arrow {
    width: 40px;
    height: 40px;
    background-color: #666;
	border-radius: 50%;

}

.prev_arrow:hover,
.next_arrow:hover {
    background-color: #A67C00;
}

.prev_arrow::before,
.next_arrow::before {
    content: "";
    width: 10px;
    height: 10px;
    border: 2px solid white;
    border-top: 0;
    border-right: 0;
    position: absolute;
    top: 50%;
}

.prev_arrow::before {
    left: 16px;
    transform: translateY(-50%) rotate(45deg);
}

.next_arrow::before {
    right: 16px;
    transform: translateY(-50%) rotate(-135deg);
}



/* === Točke zvestobe === */

.loyalty-product-points {
    background: #f5f7fa;
    border-left: 4px solid #8b5cf6;
    padding: 8px 12px;
    border-radius: 6px;
}
.loyalty-loop-points {
    margin-top: 4px;
    font-weight: 500;
}





/* === Checkout Progress Steps blagajna košarica zaključek === */
.checkout-progress {
  width: 100%;
  padding: 0 0 10px 0;
  margin-bottom: 20px;
  text-align: center;
}

.checkout-progress ul {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 60px;
  margin: 0;
  padding: 0;
}

.checkout-progress li.step {
  position: relative;
  font-weight: 500;
  font-size: 16px;
  color: #999;
}

.checkout-progress li.step::before {
  content: '';
  position: absolute;
  top: 50%;
  left: -40px;
  width: 30px;
  height: 2px;
  background: #ddd;
  transform: translateY(-50%);
}

.checkout-progress li.step:first-child::before {
  display: none;
}

/* Aktivni korak */
.checkout-progress li.step.active {
  color: #A67C00;
  font-weight: 600;
}

/* Zaključeni koraki */
.checkout-progress li.step.done {
  color: #666666;
}

.checkout-progress li.step.done::before {
  background: #A67C00;
}




/* loop */

.product .ct-media-container {
  border: 1px solid #F5F5F5;
	border-radius: 8px;
}


/* loop značke */

.steluno-loop-badges {
    position: relative;
    z-index: 10;
    display: flex;
    gap: 6px;
    flex-wrap: wrap;
}

.badge-sale,
.badge-new,
.badge-featured {
    color: #fff;
    font-weight: 700;
    font-size: 12px;
    padding: 8px 12px;
    border-radius: 4px;
    text-transform: uppercase;
    line-height: 1;
}

.badge-sale {
    background: #DA0D00;
}

.badge-new {
    background: #666666;
}

.badge-featured {
    background: #A67C00;
}

.steluno-loop-category {
    font-size: 16px;
    color: #666;
    margin: 2px 0 6px 0;
	text-decoration: underline;
}

.sale-price del {
  color: #666 !important;
	margin-top: 3px;
}

/*
ins {
  color: #DA0D00 !important;
	font-weight: 900 !important;
}
*/

/* Navadna cena (brez akcije) naj bo rdeča kot sale */
.single-product .price > .woocommerce-Price-amount {
    color: #DA0D00; /* ista rdeča kot akcijska */
    font-weight: 700;
	font-size: 28px;
}

/* Da ne povozi prečrtane stare cene */
.single-product .price del .woocommerce-Price-amount {
    color: #666 !important;
    font-weight: 400;
}

.single-product .price ins .woocommerce-Price-amount {
    color: #DA0D00 !important;
	font-weight: 700;
	font-size: 28px;
}


/* gumb za nakup single in nakup */

.single-product .single_add_to_cart_button {
    display: inline-flex;
    align-items: center;
    flex-direction: row-reverse; /* obrne vrstni red */
    gap: 10px;
}

.single-product .single_add_to_cart_button::after {
    content: "";
    width: 34px;
    height: 34px;
    background-image: url("https://steluno.webtim.dev/wp-content/uploads/2026/01/cart-white.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    vertical-align: middle;
}

.single-product .single_add_to_cart_button span,
.single-product .single_add_to_cart_button i {
    display: none;
}

.single-product .single_add_to_cart_button {
    display: inline-flex;
    align-items: center;
}






/* Ikona na gumbu v loopu */

.woocommerce ul.products li.product .add_to_cart_button {
    display: inline-flex;
    align-items: center;
    flex-direction: row-reverse;
    gap: 8px;
	width: 100%;
}

.woocommerce ul.products li.product .add_to_cart_button::after {
    content: "";
    width: 20px;
    height: 20px;
    background-image: url("https://steluno.webtim.dev/wp-content/uploads/2026/01/cart-1.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

/* Hover ikona */
.woocommerce ul.products li.product .add_to_cart_button:hover::after {
    background-image: url("https://steluno.webtim.dev/wp-content/uploads/2026/02/cart-2.svg");
}



/* Skrij samo privzeto Blocksy ikono na Add to Cart gumbu */
/* Skrij privzeto ikonco v Add to cart gumbu (loop) */
.woocommerce a.add_to_cart_button img {
    display: none !important;
}

[data-products="type-1"] .ct-woo-card-actions {
    width: 100% !important;
	text-align: center;
	border-radius: 4px;
    border: 1px solid #A67C00;
}


a.button.product_type_simple img {
	display: none !important;
}


.added_to_cart {
	width: 100%;
}




.ct-woo-card-actions .button {
	width: 100%;
}



.ui-slider-horizontal .ui-slider-range {
  background-color: #A67C00 !important;
}



/* na zalogi */

    .custom-stock {
        color: #14B90C; /* zelena */
        font-weight: 600;
        font-size: 1.1em;
        display: flex;
        align-items: center;
        margin: 10px 0 0 0;
		font-size: 16px;
    }
		
		
	.stock-dot {
    width: 10px;
    height: 10px;
    background-color: #14B90C; /* zelena */
    border-radius: 50%;
    display: inline-block;
    margin-right: 8px;
    box-shadow: 0 0 0 2px rgba(46, 204, 113, 0.25);
}	
		
    .custom-stock .stock-icon {
        width: 20px; /* prilagodi velikost ikone */
        height: auto;
        margin-right: 6px;
        display: inline-block;
    }
    .custom-stock-tekst {
        color: #666666; /* zelena */
        font-weight: 400;
        font-size: 1.1em;
        display: flex;
        align-items: center;
        margin: 0 0 0 10px;
		font-size: 16px;
    }	


    .custom-stock-loop {
        color: #14B90C; /* zelena */
        font-weight: 600;
        font-size: 1.1em;
        display: flex;
        align-items: center;
        margin: 10px 0 0 0;
		font-size: 14px;
    }


.stock-dot {
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    margin-right: 6px;
}

.stock-green {
    background-color: #14B90C;
}

.stock-red {
    background-color: #e74c3c;
}






/* MENU KATEGORIJE */

.cat-menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.cat-menu-item a {
    display: flex;
    justify-content: space-between;
    padding: 8px 12px;
    border-bottom: 1px solid #eee;
    text-decoration: none;
    color: #666666;
    font-weight: 500;
}

.cat-menu-item a:hover {
    background: #f7f7f7;
}

.cat-label {
    font-weight: 600;
}

.cat-count {
    color: #A67C00;
    font-size: 0.9em;
}


[data-footer*="type-1"] .ct-footer [data-column="text:ksnK1k"] {
  display: block;
}



/* FILTRI */

.ui-slider-horizontal .ui-slider-range {
  background-color: #A67C00;
}

.wpc-filters-widget-top-container {
  background: transparent !important;
}



/* BLAGOVNE ZNAMKE GRID */

.brand-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px,1fr));
    gap: 20px;
    align-items: center;
}
.brand-item {
    text-align: center;
}
.brand-item img {
    max-height: 60px;
    object-fit: contain;
}


